Skip to main content
GET
/
v1
/
contacts
/
imports
/
{id}
cURL
curl https://api.migma.ai/v1/contacts/imports/IMPORT_ID \
  -H "Authorization: Bearer $MIGMA_API_KEY"
{
  "success": true,
  "data": {
    "object": "contact_import",
    "id": "<string>",
    "counts": {
      "total": 123,
      "created": 123,
      "updated": 123,
      "skipped": 123,
      "failed": 123
    },
    "error": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "completed_at": "2023-11-07T05:31:56Z"
  },
  "error": "<string>"
}

Authorizations

Authorization
string
header
required

API key authentication. Use 'Authorization: Bearer YOUR_API_KEY' where YOUR_API_KEY is obtained from the Migma dashboard under Settings → Developers → API Keys.

Path Parameters

id
string
required

Import job ID (MongoDB ObjectId)

Pattern: ^[0-9a-fA-F]{24}$

Response

Import status and counts

success
boolean
required
data
object
error
string | null